<h3>
  Configurer des environnements virtuels
  <a class="no-decoration" href="/admin/edit">
    <span role="button" data-toggle="tooltip" data-placement="right" title="Nouvel environnement" data-original-title="Nouvel environnement">
      <i class="fas fa-plus-circle fa-2x" style="vertical-align: -25%"></i>
    </span>
  </a>
</h3>
<div id="cleared"></div>
<div class="card text-center">
  <div class="card-body text-center">
    <div class="form-group row">
      <div class="col-8">
	<select id="id" name="id" class="selectpicker show-tick form-control" data-live-search="true" data-header="Choisir un environnement" data-style="btn-info">__LISTCHALLENGES__</select>
      </div>
      <div class="col-2 text-right">
        <button id="btn-update" type="button" class="btn btn-warning change"><i class="fa fa-edit"></i> Modifier</button>
      </div>
      <div class="col-2 text-left">
        <button id="btn-drop" type="button" class="btn btn-danger delete"><i class="fa fa-minus"></i> Supprimer</button>
      </div>
      <input type="hidden" id="tr" name="tr" value="__TOKEN__">
    </div>
  </div>
</div>
<script>
    $(function () {
      $('[data-toggle="tooltip"]').tooltip()
    })

    $('#btn-drop').click(function(){
        if ($("#id option:selected").length!=0) {
            msg="Êtes-vous sûr de vouloir enlever cet environnement '"+$("#id option:selected").html()+"' de la base de données ? Ceci ne supprimera pas les fichiers présents sur le disque (qcow2, yaml, iso, ...).";
            if (confirm(msg)) {
                var url="/admin/challenges/"+$('#id').val()+"?delete&tr="+$('#tr').val();
                window.location.href = url;
            }
        }
    });
    $('#btn-update').click(function(){
        if ($("#id option:selected").length!=0) {
            window.location.href = "/admin/edit/"+$('#id').val();
        }
    });
</script>
